Dashboards can pull data from SQL databases through a data-adapter service; the connection is supplied in the onBeginProcessData event.

Preparing the data. Read or create the data source, register it in the dashboard dictionary, synchronize the schema, and render with the supplied records.
import { Component } from '@angular/core';
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-angular/viewer';

@Component({
    selector: 'app-root',
    imports: [Viewer],
    template: `<sti-viewer [report]="report"></sti-viewer>`
})
export class AppComponent {
    report: Stimulsoft.Report.StiReport;
    constructor() {
        Stimulsoft.StiOptions.WebServer.url = 'http://localhost:9615/';
        this.report = new Stimulsoft.Report.StiReport();
        report.loadFile('Dashboards/SalesOfProducts.mrt');
        report.onBeginProcessData = function (args) {
            args.connectionString = 'Server=localhost; Database=northwind; UserId=root; Pwd=;';
        };
    }
}

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

A dashboard bound to a SQL data source can have its connection string and query rewritten from code in the onBeginProcessData event.

In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'

Stimulsoft.StiOptions.WebServer.url = "http://localhost:9615/";

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/SalesOfProducts.mrt");

report.onBeginProcessData = function (args) {
    // Replace connection parameters or the SQL query before the request
    if (args.connection === "MySQL")
        args.connectionString = "Server=localhost; Database=northwind; UserId=root; Pwd=;";

    if (args.dataSource === "products")
        args.queryString = "SELECT * FROM MyTable";
};
</script>

<template>
    <Viewer :report="report" />
</template>

How it works. The event intercepts each data request, so connections and queries stay under server-side control.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.